Crash when closing attribute table on OS X

2006-08-28 09:54 PM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10309

Description

Load a shapefile, open the attribute table, and then click the Close button in the attribute dialog. OS X crashes after getting the SBOD

(spinning beachball of death) for a minute or so.  Seems to work fine on Linux.

Partial crash log:

Exception:  EXC_BAD_ACCESS (0x0001)

Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x000000b8

Thread 0 Crashed:

0   [[QtGui]]                   0x012618e4 QWidget::testAttribute_helper(Qt::WidgetAttribute) const + 32

1   [[QtGui]]                   0x01268de0 QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) + 332

2   [[QtGui]]                   0x0126d9d4 QWidget::qt_metacall(QMetaObject::Call, int, void**) + 476

3   [[QtGui]]                   0x014b5098 QDialog::qt_metacall(QMetaObject::Call, int, void**) + 40

4   libqgis_gui.0.dylib     0x03459898 [[QgsAttributeTableDisplay]]::qt_metacall(QMetaObject::Call, int, void**) + 40

(qgsattributetabledisplay.moc.cpp:76)

5   [[QtCore]]                  0x01089d58 QMetaObject::activate(QObject*, int, int, void**) + 1152

6   [[QtGui]]                   0x014b0634 QAbstractButton::clicked(bool) + 76

7   [[QtGui]]                   0x013b4228 QAbstractButtonPrivate::click() + 164

8   [[QtGui]]                   0x013b4450 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 112

9   [[QtGui]]                   0x0126af44 QWidget::event(QEvent*) + 752

10  [[QtGui]]                   0x012375c0 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 384

11  [[QtGui]]                   0x0123dba0 QApplication::notify(QObject*, QEvent*) + 2064

12  [[QtGui]]                   0x01275f9c QApplicationPrivate::globalEventProcessor(OpaqueEventHandlerCallRef*,

[[OpaqueEventRef]]*, void*) + 6652

History

#1 - 2006-11-11 10:50 PM - Gary Sherman

- Resolution set to fixed

- Status changed from Open to Closed

This appears to be resolved with latest SVN and Qt 4.2.1.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
